Debian Bug report logs - #566340
derivations: Versioned build dependency on texlive-base-bin

version graph

Package: derivations; Maintainer for derivations is Thaddeus H. Black <thb@debian.org>; Source for derivations is src:derivations.

Reported by: "Michael Bienia" <geser@ubuntu.com>

Date: Sat, 23 Jan 2010 00:45:02 UTC

Severity: minor

Found in version derivations/0.51.20080419-2

Fixed in version derivations/0.52.20100310-1.1

Done: Marc Dequènes (Duck) <Duck@DuckCorp.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, thb@debian.org (Thaddeus H. Black):
Bug#566340; Package derivations. (Sat, 23 Jan 2010 00:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Michael Bienia" <geser@ubuntu.com>:
New Bug report received and forwarded. Copy sent to thb@debian.org (Thaddeus H. Black). (Sat, 23 Jan 2010 00:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Michael Bienia" <geser@ubuntu.com>
To: "Debian Bug Tracking System" <submit@bugs.debian.org>
Subject: derivations: Versioned build dependency on texlive-base-bin
Date: 23 Jan 2010 01:42:38 +0100
Package: derivations
Version: 0.51.20080419-2
Severity: normal

Hello,

derivations as a versioned build dependency (Build-Depends-Indep) on
texlive-base-bin. As texlive-base-bin is now only provided by
texlive-binaries, derivations' build dependency should be updated to
texlive-binaries.

Michael




Severity set to 'serious' from 'normal' Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Thu, 11 Feb 2010 21:12:20 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, thb@debian.org (Thaddeus H. Black):
Bug#566340; Package derivations. (Fri, 12 Feb 2010 19:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to thb@debian.org (Thaddeus H. Black). (Fri, 12 Feb 2010 19:09:03 GMT) Full text and rfc822 format available.

Message #12 received at 566340@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: "Michael Bienia" <geser@ubuntu.com>
Cc: 566340@bugs.debian.org, Debian TeX maintainers <debian-tex-maint@lists.debian.org>
Subject: Re: derivations: Versioned build dependency on texlive-base-bin
Date: Fri, 12 Feb 2010 20:06:54 +0100
"Michael Bienia" <geser@ubuntu.com> wrote:

> derivations as a versioned build dependency (Build-Depends-Indep) on
> texlive-base-bin. As texlive-base-bin is now only provided by
> texlive-binaries, derivations' build dependency should be updated to
> texlive-binaries.

The TeX-related Build-deps of derivations don't seem correct, anyway
(all statements are untested, but I'm confident they are correct):

Build-Depends-Indep: 
     texlive-common (>= 2005.dfsg.3)  This package is pulled in, in its
                                      proper version, by any package
                                      that provides TeX-related
                                      typesetting functionality:
                    Can be dropped

     texlive-base (>= 2005.dfsg.3)    This package doesn't provide a
                                      useful functionality nor
                                      interface, unless you use plain
                                      TeX.  Even if the rather
                                      complicated build system of
                                      derivations does this, it also
                                      uses LaTeX - and LaTeX will always
                                      require these features, too, and
                                      thus depend on the package.
                    Can be dropped

     texlive-base-bin (>= 2005.dfsg.2) now texlive-binaries provides
                                      executables, but no LaTeX
                                      functionality by itself.  In
                                      teTeX with its only 3 packages,
                                      tetex-bin was a frequent
                                      build-dep.  But in TeXLive,
                                      texlive-latex-* is what you want.
                    Can be dropped

     texlive-generic-recommended (>= 2005.dfsg.3)
                                      It sounds strange to depend on
                                      this for building LaTeX
                                      documentation. 
                    Should be tested whether it is needed.

     texlive-latex-base (>=2005.dfsg.3) 
                                      This and tl-pstricks are probably
                                      the only that need to stay. The
                                      versioned dep isn't necessary
                                      (there's no older version
                                      anywhere).

Regards, Frank

-- 
Dr. Frank Küster
Debian Developer (TeXLive)
VCD Aschaffenburg-Miltenberg, ADFC Miltenberg
B90/Grüne KV Miltenberg




Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Thu, 04 Mar 2010 15:15:08 GMT) Full text and rfc822 format available.

Reply sent to thb@debian.org (Thaddeus H. Black):
You have taken responsibility. (Fri, 12 Mar 2010 05:48:09 GMT) Full text and rfc822 format available.

Notification sent to "Michael Bienia" <geser@ubuntu.com>:
Bug acknowledged by developer. (Fri, 12 Mar 2010 05:48:09 GMT) Full text and rfc822 format available.

Message #19 received at 566340-close@bugs.debian.org (full text, mbox):

From: thb@debian.org (Thaddeus H. Black)
To: 566340-close@bugs.debian.org
Subject: Bug#566340: fixed in derivations 0.52.20100310-1
Date: Fri, 12 Mar 2010 05:47:07 +0000
Source: derivations
Source-Version: 0.52.20100310-1

We believe that the bug you reported is fixed in the latest version of
derivations, which is due to be installed in the Debian FTP archive:

derivations_0.52.20100310-1.diff.gz
  to main/d/derivations/derivations_0.52.20100310-1.diff.gz
derivations_0.52.20100310-1.dsc
  to main/d/derivations/derivations_0.52.20100310-1.dsc
derivations_0.52.20100310-1_all.deb
  to main/d/derivations/derivations_0.52.20100310-1_all.deb
derivations_0.52.20100310.orig.tar.gz
  to main/d/derivations/derivations_0.52.20100310.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 566340@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thaddeus H. Black <thb@debian.org> (supplier of updated derivations package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 10 Mar 2010 00:00:00 +0000
Source: derivations
Binary: derivations
Architecture: source all
Version: 0.52.20100310-1
Distribution: unstable
Urgency: low
Maintainer: Thaddeus H. Black <thb@debian.org>
Changed-By: Thaddeus H. Black <thb@debian.org>
Description: 
 derivations - book: Derivations of Applied Mathematics
Closes: 539655 550795 566340
Changes: 
 derivations (0.52.20100310-1) unstable; urgency=low
 .
   * (Yan Morin) Fixed the broken debian/watch (closes: #550795).
     Thanked Mr. Morin for showing the maintainer how to do it.
   * Updated to the new upstream version.  Refer to doc/changelog in the
     source or to /usr/share/doc/derivations/changelog.gz in the binary
     for details.
   * Built for upload to Debian sid.
   * Updated to Debian sid's current Standards-Version: 3.8.4.
     Observed however (for the maintainer's own later reference) that
     stable Debian lenny had as of this date advanced only as far
     as Standards-Version: 3.8.0.
   * In debian/control:
     + (Jonas Smedegaard) Replaced 'gs-gpl' with 'ghostscript' as a
       build-dependency (closes: #539655).  Thanked Mr. Smedegaard
       for explaining clearly and concisely the need to do so.
     + (Michael Bienia) Allowed 'texlive-binaries' as an
       alternative build-dependency to the evidently
       deprecated 'texlive-base-bin' (closes: #566340),
       though retained for the time being the old dependency
       as an option for ease of backporting.  Thanked Mr. Bienia
       for the timely analysis thereto.
     + Per Policy 7.7, as notified by Lintian, moved the 'debhelper'
       dependency from Build-Depends-Indep to Build-Depends.
     + As Debhelper evidently demands, added "Depends: ${misc:Depends}"
       to the binary's control stanza.
     + Reviewed and updated the version-requirements of several
       other dependencies.
Checksums-Sha1: 
 a5efad39b6df0c3d262c22622a9079a071629cf4 1343 derivations_0.52.20100310-1.dsc
 3ffedeae3247651d7f0628caace45455126ebd4d 465260 derivations_0.52.20100310.orig.tar.gz
 984b9398d88529757140e9978eda7cbacd60cf1b 22951 derivations_0.52.20100310-1.diff.gz
 630d5b8b87360ba23ff5ac2f972bcff9b6fec430 4047998 derivations_0.52.20100310-1_all.deb
Checksums-Sha256: 
 46e12af5e57ba7d26b0bc4d2b8a3ba1c5ed5b8f6369df3e5270fbc803e6c2448 1343 derivations_0.52.20100310-1.dsc
 fdc120993bea1652b0bc4b8f6ac4db20cd0313f8904b0a9271eb7d64e70ddeba 465260 derivations_0.52.20100310.orig.tar.gz
 38b1c8eeb56c4be608d4405fb1cfde1d9aff204cc7bd580a6b39e9f4b1e31163 22951 derivations_0.52.20100310-1.diff.gz
 394ec44570d3fe24e5db8433bea35a91be57bae87d36f9b70d358cd53aeaed2e 4047998 derivations_0.52.20100310-1_all.deb
Files: 
 a11d5b0b9d21aedec843ec8a7799f83d 1343 doc optional derivations_0.52.20100310-1.dsc
 c19896406fd5ea51f3f2af3e41f586bc 465260 doc optional derivations_0.52.20100310.orig.tar.gz
 feba5f34a430cca4327c1677669f91af 22951 doc optional derivations_0.52.20100310-1.diff.gz
 366b9751790f08dd3971c5fb6ee1098d 4047998 doc optional derivations_0.52.20100310-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkuZyr4ACgkQh3E0gzgBXn7zEwCgzlWS2C+ejr/Qn4GmPg464ZUI
PIEAoKU8INyh3eeNS/ZeDmnZr/N6TihD
=XIXz
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, thb@debian.org (Thaddeus H. Black):
Bug#566340; Package derivations. (Fri, 12 Mar 2010 15:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Thaddeus H. Black" <thb@debian.org>:
Extra info received and forwarded to list. Copy sent to thb@debian.org (Thaddeus H. Black). (Fri, 12 Mar 2010 15:30:02 GMT) Full text and rfc822 format available.

Message #24 received at 566340@bugs.debian.org (full text, mbox):

From: "Thaddeus H. Black" <thb@debian.org>
To: Michael Bienia <geser@ubuntu.com>, Frank Kuester <frank@kuesterei.ch>, 566340@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#566340: derivations: Versioned build dependency on texlive-base-bin
Date: Fri, 12 Mar 2010 08:47:52 +0000
[Message part 1 (text/plain, inline)]
reopen 566340
severity 566340 minor
stop

Michael Bienia reports an outdated TeX-related build-dependency in my
package 'derivations'.  I thank him.  The latest upload treats the bug
and closes the report.

However, Frank Kuester, who knows rather more about TeX packaging than I
do, further suspects that 'derivations' suffers some unnecessary
build-dependencies.  I do not doubt that Frank is right, so let me
reopen the report now with reduced severity.

If that is all you want to know, then you can stop reading here.
Otherwise, further details follow.

I seem to remember that I once had a good reason to specify the
build-dependencies Frank questions, but unfortunately I no longer
remember the reason, nor do I remember much else, so let me say this:
though no action is expected of Frank he can NMU with my thanks should
he feel sufficiently motivated to do so.  Otherwise, well, time is hard
to find and my Internet connectivity is regrettably much worse than it
used to be; but probably, eventually, I will address the matter myself.

If the information is relevant to Frank or any other competent person
who might choose to NMU this bug before I do, the build-process
for 'derivations' exercises the LaTeX and postprocessing software pretty
hard.  This is not a typical LaTeX compilation and PDF presentation, but
a relatively complex processing train with a script or two hooked in and
even a special-purpose C++ program (compiled, run and then deleted as
part of the build) to interfere with and to specialize the build.  Maybe
this complexity has something to do with the unusual-seeming
build-dependencies, or maybe it does not: as I said, unfortunately I no
longer remember.

Since I do not know as much about TeX's internals as Frank undoubtedly
does, I admit to a certain superstition against disturbing a somewhat
complex build process which in fact is working right now in Sid.  TeX
though lovable is somewhat archaic, which can make it *feel*
unpredictable or brittle when driven hard.  I just do not understand the
TeX-packaging issues implicated.  For these reasons among others, I am
likely to defer the matter until after the release---though, as I said,
if Frank feels confident or does not care for my answer, and wants the
bug fixed, then he can NMU at his discretion now.

At the very least, whatever betide, I appreciate the good counsel on all
sides.  Let me know if further questions arise.

-- 
Thaddeus

[signature.asc (application/pgp-signature, inline)]

Bug No longer marked as fixed in versions derivations/0.52.20100310-1 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 12 Mar 2010 15:30:04 GMT) Full text and rfc822 format available.

Severity set to 'minor' from 'serious' Request was from "Thaddeus H. Black" <thb@debian.org> to control@bugs.debian.org. (Fri, 12 Mar 2010 15:30:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, thb@debian.org (Thaddeus H. Black):
Bug#566340; Package derivations. (Fri, 12 Mar 2010 16:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Thaddeus H. Black" <t@b-tk.org>:
Extra info received and forwarded to list. Copy sent to thb@debian.org (Thaddeus H. Black). (Fri, 12 Mar 2010 16:33:05 GMT) Full text and rfc822 format available.

Message #33 received at 566340@bugs.debian.org (full text, mbox):

From: "Thaddeus H. Black" <t@b-tk.org>
To: 566340@bugs.debian.org
Subject: Re: Bug#566340: derivations: Versioned build dependency on texlive-base-bin
Date: Fri, 12 Mar 2010 16:23:07 +0000
[Message part 1 (text/plain, inline)]
Incidentally, in the unlikely event that someone competent NMUs this
bug, would he, before uploading, try the build on stable lenny as well
as on sid?  There is no good reason that the unmodified source should
not build its own backport.

-- 
Thaddeus

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, thb@debian.org (Thaddeus H. Black):
Bug#566340; Package derivations. (Fri, 12 Mar 2010 21:06:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to thb@debian.org (Thaddeus H. Black). (Fri, 12 Mar 2010 21:06:07 GMT) Full text and rfc822 format available.

Message #38 received at 566340@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: "Thaddeus H. Black" <thb@debian.org>
Cc: Michael Bienia <geser@ubuntu.com>, 566340@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#566340: derivations: Versioned build dependency on texlive-base-bin
Date: Fri, 12 Mar 2010 22:01:28 +0100
"Thaddeus H. Black" <thb@debian.org> wrote:

> I seem to remember that I once had a good reason to specify the
> build-dependencies Frank questions, but unfortunately I no longer
> remember the reason, nor do I remember much else, so let me say this:
> though no action is expected of Frank he can NMU with my thanks should
> he feel sufficiently motivated to do so.  

Hm, no - I don't expect to NMU a minor bug, even if I'm invited to
(thanks!).  

> If the information is relevant to Frank or any other competent person
> who might choose to NMU this bug before I do, the build-process
> for 'derivations' exercises the LaTeX and postprocessing software pretty
> hard.  This is not a typical LaTeX compilation and PDF presentation, but
> a relatively complex processing train with a script or two hooked in and
> even a special-purpose C++ program (compiled, run and then deleted as
> part of the build) to interfere with and to specialize the build.  

I noticed this...

> At the very least, whatever betide, I appreciate the good counsel on all
> sides.  Let me know if further questions arise.

If you have a question when you get at it, feel free to ask on the
Debian TeX mailing list.

Regards, Frank
-- 
Dr. Frank Küster
Debian Developer (TeXLive)
VCD Aschaffenburg-Miltenberg, ADFC Miltenberg
B90/Grüne KV Miltenberg




Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:48 GMT) Full text and rfc822 format available.

Reply sent to Marc Dequènes (Duck) <Duck@DuckCorp.org>:
You have taken responsibility. (Sat, 18 Feb 2012 18:33:09 GMT) Full text and rfc822 format available.

Notification sent to "Michael Bienia" <geser@ubuntu.com>:
Bug acknowledged by developer. (Sat, 18 Feb 2012 18:33:09 GMT) Full text and rfc822 format available.

Message #45 received at 566340-close@bugs.debian.org (full text, mbox):

From: Marc Dequènes (Duck) <Duck@DuckCorp.org>
To: 566340-close@bugs.debian.org
Subject: Bug#566340: fixed in derivations 0.52.20100310-1.1
Date: Sat, 18 Feb 2012 18:32:21 +0000
Source: derivations
Source-Version: 0.52.20100310-1.1

We believe that the bug you reported is fixed in the latest version of
derivations, which is due to be installed in the Debian FTP archive:

derivations_0.52.20100310-1.1.debian.tar.gz
  to main/d/derivations/derivations_0.52.20100310-1.1.debian.tar.gz
derivations_0.52.20100310-1.1.dsc
  to main/d/derivations/derivations_0.52.20100310-1.1.dsc
derivations_0.52.20100310-1.1_all.deb
  to main/d/derivations/derivations_0.52.20100310-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 566340@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marc Dequènes (Duck) <Duck@DuckCorp.org> (supplier of updated derivations package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 18 Feb 2012 15:52:03 +0100
Source: derivations
Binary: derivations
Architecture: source all
Version: 0.52.20100310-1.1
Distribution: unstable
Urgency: low
Maintainer: Thaddeus H. Black <thb@debian.org>
Changed-By: Marc Dequènes (Duck) <Duck@DuckCorp.org>
Description: 
 derivations - book: Derivations of Applied Mathematics
Closes: 566340 615671 652081
Changes: 
 derivations (0.52.20100310-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Switched to dpkg-source 3.0 (quilt) format.
   * Moved helper development files out of the Debian diff in
     'upstream_helper' patch.
   * Applied patch from Matthias Klose <doko@ubuntu.com> as
     'build_fixes' patch (Closes: #615671):
     + Fix FTBFS with g++-4.5.
     + Fix FTBFS with ld --as-needed.
     + Don't build with -Werror.
   * Added'poppler_api_change' patch to solve a libpoppler API
     change (Closes: #652081).
   * Use 'dh_prep' instead of the deprecated 'dh_clean -k'.
   * Simplified build dependencies, as suggested by Frank Küster (Closes:
     #566340).
Checksums-Sha1: 
 6cd8a8bc7dcd2796752b9189ce3545d364582a25 1257 derivations_0.52.20100310-1.1.dsc
 01989f9ac0a6c8df1c43489f9f58b875cbd6386f 25475 derivations_0.52.20100310-1.1.debian.tar.gz
 69adaa09c20b3a1ad0bde3263b17739f9f434812 4044572 derivations_0.52.20100310-1.1_all.deb
Checksums-Sha256: 
 44cd6acb429d75466db25f02badbc1e5f3c6747f93c7dd1244f084d35a2f9a99 1257 derivations_0.52.20100310-1.1.dsc
 b010000501a31e9ec3ce83032eefc6e21932995b33f6aeed67a79c9c9a37ab79 25475 derivations_0.52.20100310-1.1.debian.tar.gz
 b7ce6803602cee1fb3c4e1ebc6dece28789e89edb3a6e8d446c0fcf9a38f2bd4 4044572 derivations_0.52.20100310-1.1_all.deb
Files: 
 8f5931a46ea08454485100bb71a49680 1257 doc optional derivations_0.52.20100310-1.1.dsc
 1e6bf64481f9c77f63670e090ebe6c32 25475 doc optional derivations_0.52.20100310-1.1.debian.tar.gz
 8818416320ff063b7d3806ab02d94a4f 4044572 doc optional derivations_0.52.20100310-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk8/668ACgkQsczZcpAmcIZonACgjILnzWEsXwKW3ebDLVrl6Xx/
7PsAoKbxiP/Yv3bSi2qnLmJXFnMITkTy
=xOXP
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Thaddeus H. Black <thb@debian.org>:
Bug#566340; Package derivations. (Sat, 18 Feb 2012 18:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Marc Dequènes (Duck)" <duck@duckcorp.org>:
Extra info received and forwarded to list. Copy sent to Thaddeus H. Black <thb@debian.org>. (Sat, 18 Feb 2012 18:36:03 GMT) Full text and rfc822 format available.

Message #50 received at 566340@bugs.debian.org (full text, mbox):

From: "Marc Dequènes (Duck)" <duck@duckcorp.org>
To: 615671@bugs.debian.org, 652081@bugs.debian.org, 566340@bugs.debian.org
Subject: BSP NMU
Date: Sat, 18 Feb 2012 19:33:43 +0100
[Message part 1 (text/plain, inline)]
Coin,

Please find the attached debdiff for the upcoming NMU. I fixed a few  
non-RC things btw, as it seems you don't have much time for package  
maintenance currently.

Regards.

-- 
Marc Dequènes (Duck)
[derivations.debdiff (application/octet-stream, attachment)]
[Message part 3 (application/pgp-signature, inline)]

Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:40:01 GMT) Full text and rfc822 format available.

Removed tag(s) sid, squeeze, wheezy, and jessie. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Fri, 01 Nov 2013 22:31:32 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Nov 2013 07:45:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 12:58:42 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.